{% extends 'layout.html' %}

{% block content %}
    <div class="container container-small">
        <h1>Modifier un évènement</h1>

        <form action="" method="post">
            {% include "alerts.html" %}

            <div class="form-group">
                <label for="title">Titre</label>
                <input type="text" name="title" id="title" value="{{ event.title }}" required autofocus />
            </div>

            <div class="form-row">
                <div class="form-group">
                    <label for="date">Date</label>
                    <input type="date" name="date" id="date" required value="{{ event.date }}" />
                </div>

                <div class="form-group hidden">
                    <label for="date-end">Date de fin</label>
                    <input type="date" name="date_end" id="date-end" value="{{ event.date_end }}" />
                </div>
            </div>

            <div class="form-group form-group-checkbox">
                <input type="checkbox" id="is-duration" {{ 'checked' if event.date_end }} />
                <label for="is-duration">Évènement sur plusieurs jours&nbsp;?</label>
            </div>

            <div class="form-group form-group-radios">
                <input type="radio" name="is_private" id="is_private" value="yes" {{ 'checked' if event.is_private }} />
                <label for="is_private">Privé</label>

                <input type="radio" name="is_private" id="is_public" value="no" {{ 'checked' if not event.is_private }} />
                <label for="is_public">Public</label>
            </div>

            <div class="form-group">
                <label for="project">Projet <span class="text-muted">(facultatif)</span></label>
                <input type="text" name="project" id="project" autocomplete="off" list="projects" value="{{ event.project.name if event.project }}" />

                <datalist id="projects">
                    {% for project in projects %}
                        <option value="{{ project.name }}">
                    {% endfor %}
                </datalist>
            </div>

            <div class="form-group">
                <label for="description">Description <span class="text-muted">(facultatif)</span></label>
                <textarea name="description" id="description">{{ event.description }}</textarea>
            </div>

            <div class="form-group form-group-actions">
                <button type="submit" class="button-primary">
                    Modifier
                </button>

                <a href="{{ url_for('events.index') }}">
                    Retour aux temps forts
                </a>
            </div>
        </form>
    </div>

    <script>
        (function() {
            var isDurationInput = document.getElementById('is-duration');
            var dateInput = document.getElementById('date');
            var dateEndInput = document.getElementById('date-end');

            // Consider the case where user check the input, reload the page
            // and the browser keep in cache the check.
            if (isDurationInput.checked) {
                const dayStart = dateInput.valueAsDate;
                if (dayStart) {
                    var nextDay = new Date(dayStart);
                    nextDay.setDate(nextDay.getDate() + 1);
                    dateEndInput.valueAsDate = nextDay;
                }
                dateEndInput.parentElement.classList.remove('hidden');
            }

            isDurationInput.addEventListener('click', function (e) {
                if (isDurationInput.checked) {
                    const dayStart = dateInput.valueAsDate;
                    if (dayStart) {
                        var nextDay = new Date(dayStart);
                        nextDay.setDate(nextDay.getDate() + 1);
                        dateEndInput.valueAsDate = nextDay;
                    }
                    dateEndInput.parentElement.classList.remove('hidden');
                } else {
                    dateEndInput.parentElement.classList.add('hidden');
                    dateEndInput.value = '';
                }
            });
        }());
    </script>
{% endblock %}
